Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb
Class DefaultAppModuleSessionBeanImpl

`java.lang.Object
oracle.jbo.server.ejb.SessionBeanImpl
oracle.jbo.server.ejb.StatefulSessionBeanImpl
oracle.jbo.server.ejb.DefaultAppModuleSessionBeanImpl`

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

public class DefaultAppModuleSessionBeanImpl
extends StatefulSessionBeanImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`mApplicationModule`

Constructor Summary
`DefaultAppModuleSessionBeanImpl()`

Method Summary
`void` | `ejbCreate(java.util.Hashtable clientEnv)`

Methods inherited from class oracle.jbo.server.ejb.StatefulSessionBeanImpl
`afterBegin, afterCompletion, beforeCompletion, beginTransaction, commitTransaction, createTransactionHandlerFactory, resume, rollbackTransaction, suspend`

Methods inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`connectToDataSource, createApplicationModule, createApplicationModule, disconnectFromDataSource, doMessage, ejbActivate, ejbPassivate, ejbRemove, getApplicationModule, getApplicationModuleDefName, getConfigurationName, getSessionContext, getTransactionTimeOut, isJboBean, isTransactionManagedByBean, postApplicationModuleCreate, removeApplicationModule, setApplicationModuleDefName, setConfigurationName, setCurrentSessionContext, setSessionContext, useDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAppModuleSessionBeanImpl

    public DefaultAppModuleSessionBeanImpl()

Method Detail

### ejbCreate

    public void ejbCreate(java.util.Hashtable clientEnv)
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.